LINUX.ORG.RU

Установка Perl Auto Connector gentoo


0

1

Не могу найти в оверлеях может плохо искал конечно. Или подскажите аналог. Просто из консоли не предлогать. Очень не удобно каждый раз набирать и помнить адреса хостов. http://sourceforge.net/projects/pacmanager/files/ Если скачать исходники то при запуске:

./pac 
Can't locate YAML.pm in @INC (@INC contains: /home/chipset/pac/lib /home/chipset/pac/lib/ex /home/chipset/pac/lib/edit /etc/perl /usr/lib64/perl5/site_perl/5.12.4/x86_64-linux /usr/lib64/perl5/site_perl/5.12.4 /usr/lib64/perl5/vendor_perl/5.12.4/x86_64-linux /usr/lib64/perl5/vendor_perl/5.12.4 /usr/lib64/perl5/site_perl /usr/lib64/perl5/vendor_perl/5.12.2 /usr/lib64/perl5/vendor_perl /usr/lib64/perl5/5.12.4/x86_64-linux /usr/lib64/perl5/5.12.4 /usr/local/lib/site_perl .) at /home/chipset/pac/lib/PACMain.pm line 34.
BEGIN failed--compilation aborted at /home/chipset/pac/lib/PACMain.pm line 34.
Compilation failed in require at ./pac line 35.
BEGIN failed--compilation aborted at ./pac line 35.

cpanm YAML, если libyaml-perl (или как он называется) нет в portage.

AITap ★★★★★ ()
Последнее исправление: AITap (всего исправлений: 1)
Ответ на: комментарий от AITap

Во такого не нашел. А как он правильно называется как раз и не знаю.

micro-chipset ()
Ответ на: комментарий от micro-chipset

google://portage+yaml+perl выдал пару подходящих вариантов.

AITap ★★★★★ ()

yaml установил теперь ругается:

./pac 
Can't locate OSSP/uuid.pm in @INC (@INC contains: /home/chipset/pac/lib /home/chipset/pac/lib/ex /home/chipset/pac/lib/edit /etc/perl /usr/lib64/perl5/site_perl/5.12.4/x86_64-linux /usr/lib64/perl5/site_perl/5.12.4 /usr/lib64/perl5/vendor_perl/5.12.4/x86_64-linux /usr/lib64/perl5/vendor_perl/5.12.4 /usr/lib64/perl5/site_perl /usr/lib64/perl5/vendor_perl/5.12.2 /usr/lib64/perl5/vendor_perl /usr/lib64/perl5/5.12.4/x86_64-linux /usr/lib64/perl5/5.12.4 /usr/local/lib/site_perl .) at /home/chipset/pac/lib/PACMain.pm line 39.
BEGIN failed--compilation aborted at /home/chipset/pac/lib/PACMain.pm line 39.
Compilation failed in require at ./pac line 35.
BEGIN failed--compilation aborted at ./pac line 35

micro-chipset ()
Ответ на: комментарий от micro-chipset

Запустить удалось установим пакеты от которых зависит. Теперь запускает вроде как работает, но при открытии терминала он виснит, а в консоли:

./pac 
PAC started (pac) with PID 4025
INFO: Used config file '/home/chipset/.config/pac/pac.nfreeze'
INFO: Using 'standard Gnome2' tray icon
*** unhandled exception in callback:
***   Can't locate object method "new" via package "Gnome2::Vte::Terminal" (perhaps you forgot to load "Gnome2::Vte::Terminal"?) at /home/chipset/pac/lib/PACTerminal.pm line 490.
***  ignoring at /home/chipset/pac/lib/PACMain.pm line 1273.
Думал проблема в этом: http://gpo.zugaina.org/dev-perl/Gnome2-Vte но не помогло и это.

micro-chipset ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.